ur_rna.GUITester.GuiTools.Matchers

## Class ComposableBase.BinaryMatcher

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase
  - - ur_rna.GUITester.GuiTools.Matchers.ComposableBase.BinaryMatcher

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher
  Direct Known Subclasses:
    ComposableBase.BinaryMatcher.And, ComposableBase.BinaryMatcher.Or, ComposableBase.BinaryMatcher.Xor
  Enclosing class:
    ComposableBase

      protected abstract static class ComposableBase.BinaryMatcher
      extends ComposableBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComposableBase.BinaryMatcher.And`
    `static class` | `ComposableBase.BinaryMatcher.Or`
    `static class` | `ComposableBase.BinaryMatcher.Xor`

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected abbot.finder.Matcher` | `_a`
    `protected abbot.finder.Matcher` | `_b`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `FALSE, TRUE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BinaryMatcher(abbot.finder.Matcher a, abbot.finder.Matcher b)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComposableMatcher` | `and(abbot.finder.Matcher a, abbot.finder.Matcher b)`
    `abbot.finder.Matcher[]` | `getChildMatchers()` Return an array of all Matchers that are immediate descendants of this one, or an empty array if there are none.
    `abbot.finder.Matcher` | `getLhs()`
    `java.lang.String` | `getOperandName()`
    `abbot.finder.Matcher` | `getRhs()`
    `static ComposableMatcher` | `or(abbot.finder.Matcher a, abbot.finder.Matcher b)`
    `void` | `setLhs(abbot.finder.Matcher m)`
    `void` | `setRhs(abbot.finder.Matcher m)`
    `java.lang.String` | `toString()`
    `static ComposableMatcher` | `xor(abbot.finder.Matcher a, abbot.finder.Matcher b)`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `and, composable, identity, inverse, inverse, or, self, simplify, simplify, withText, withText, withText, xor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface abbot.finder.Matcher

      `matches`

- - ### Field Detail

    - #### _a

          protected abbot.finder.Matcher _a

    - #### _b

          protected abbot.finder.Matcher _b

  - ### Constructor Detail

    - #### BinaryMatcher

          protected BinaryMatcher(abbot.finder.Matcher a,
                                  abbot.finder.Matcher b)

  - ### Method Detail

    - #### and

          public static ComposableMatcher and(abbot.finder.Matcher a,
                                              abbot.finder.Matcher b)

    - #### getChildMatchers

          public abbot.finder.Matcher[] getChildMatchers()

      Description copied from interface: `ComposableMatcher`
      Return an array of all Matchers that are immediate descendants of this one, or an empty array if there are none.
      Specified by:
        `getChildMatchers` in interface `ComposableMatcher`
      Overrides:
        `getChildMatchers` in class `ComposableBase`
      Returns:
        A non-null array of Matchers.

    - #### getLhs

          public abbot.finder.Matcher getLhs()

    - #### getOperandName

          public java.lang.String getOperandName()

    - #### getRhs

          public abbot.finder.Matcher getRhs()

    - #### or

          public static ComposableMatcher or(abbot.finder.Matcher a,
                                             abbot.finder.Matcher b)

    - #### setLhs

          public void setLhs(abbot.finder.Matcher m)

    - #### setRhs

          public void setRhs(abbot.finder.Matcher m)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ComposableBase`

    - #### xor

          public static ComposableMatcher xor(abbot.finder.Matcher a,
                                              abbot.finder.Matcher b)